<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.cplbusiness.mapper.DataCrkywCplpfDefaultMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.cplbusiness.entity.DataCrkywCplpfDefault">
                    <result column="dataId" property="dataId" />
                    <result column="unitid" property="unitid" />
                    <result column="zdmc" property="zdmc" />
                    <result column="zdbm" property="zdbm" />
                    <result column="builder" property="builder" />
                    <result column="cjsj" property="cjsj" />
                    <result column="editor" property="editor" />
                    <result column="modifyDate" property="modifyDate" />
                    <result column="updateTime" property="updateTime" />
                    <result column="tzdbm" property="tzdbm" />
                    <result column="sjjlspmcbh" property="sjjlspmcbh" />
                    <result column="lyfs" property="lyfs" />
                    <result column="zlfens" property="zlfens" />
                    <result column="scpc" property="scpc" />
                    <result column="bz" property="bz" />
                    <result column="sjjlspmc" property="sjjlspmc" />
                    <result column="pfsj" property="pfsj" />
                    <result column="rkbh" property="rkbh" />
                    <result column="rksj" property="rksj" />
        </resultMap>

    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT DISTINCT a.*,
        sjjlspmc_enum.sjjlspmc as sjjlspmc
        FROM  data_crkyw_cplpf_default a
        LEFT JOIN data_crkyw_cplsp_default sjjlspmc_enum ON sjjlspmc_enum.sjjlspmcbh = a.sjjlspmcbh
        and  sjjlspmc_enum.unitId = a.unitId
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>
